slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetDS

Associates a direct solver object to the nonlinear eigensolver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetDS(NEP nep,DS ds)

Collective

### Input Parameters

| nep | - eigensolver context obtained from NEPCreate()
| ds | - the direct solver object

### Note

Use NEPGetDS() to retrieve the direct solver context (for example, to free it at the end of the computations).

### See Also

NEPGetDS()

### Level

advanced

### Location

src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages